Bug 815252 - Incomplete API documentation on errata.listPackages
Incomplete API documentation on errata.listPackages
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: API (Show other bugs)
1.8
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-04-23 04:21 EDT by Tomas Lestach
Modified: 2012-11-01 12:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 814642
Environment:
Last Closed: 2012-11-01 12:20:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Lestach 2012-04-23 04:21:29 EDT
+++ This bug was initially created as a clone of Bug #814642 +++

Description of problem:
The documentation on errata.listPackages is incomplete; According to documentation it should return:
    array:
        struct - package
            int "id"
            string "name"
            string "epoch"
            string "version"
            string "release"
            string "arch_label"
            array "providing_channels"
                string - Channel label providing this package.
            string "build_host"
            string "description"
            string "checksum"
            string "vendor"
            string "summary"
            string "cookie"
            string "license"
            string "path"
            string "build_date"
            string "last_modified_date"
            string "size"
            string "payload_size"


It actually returns two more keys (file, checkstum_type):
['description', 'build_date', 'file', 'arch_label', 'vendor', 'name', 'license', 'build_host', 'checksum', 'payload_size', 'last_modified_date', 'summary', 'epoch', 'providing_channels', 'cookie', 'version', 'checksum_type', 'release', 'path', 'id', 'size']


How reproducible: Execute errata.listPackages API script .


Steps to Reproduce: I have used following script,

#!/usr/bin/perl

use Data::Dumper;
use Frontier::Client;

my $client   = new Frontier::Client( url => "https://<satellite_fqdn>/rpc/api");
my $session  = $client->call( 'auth.login', username, password );

my $errata_advisory_name="RHSA-2009:0256";

my $result = $client->call('errata.listPackages',$session,$errata_advisory_name);
print " ".Dumper($result);

  
Actual results:
Script output returns two more keys : file and checkstum_type .

Expected results:
The documentation on errata.listPackages is incomplete, it does not include "file and checkstum_type" .


Additional info:
API with host 'satellite_fqdn' executes,

{
            'arch_label' => 'i386',
            'build_host' => 'hs20-bc1-2.build.redhat.com',
            'file' => 'firefox-3.0.6-1.el4.i386.rpm',
            'build_date' => '2009-01-22 02:54:37.0',
            'size' => '20948298',
            'checksum' => 'ed678459e56080f2d820100982c84be7',
            'summary' => 'Mozilla Firefox Web browser.
',
            'id' => '39705',
            'providing_channels' => [
                                    'clone-rh-i386-desktop-4',
                                    'rhel-i386-as-4'
                                  ],
            'epoch' => '0',
            'checksum_type' => 'md5',
            'version' => '3.0.6',
            'cookie' => 'None',
            'name' => 'firefox',
            'path' => 'redhat/NULL/ed6/firefox/0:3.0.6-1.el4/i386/ed678459e56080f2d820100982c84be7/firefox-3.0.6-1.el4.i386.rpm',
            'release' => '1.el4',
            'description' => 'Mozilla Firefox is an open-source web browser, designed for standards
compliance, performance and portability.
',
            'license' => 'MPL/LGPL',
            'payload_size' => '39247992',
            'last_modified_date' => '2009-02-04 14:14:24',
            'vendor' => 'Red Hat, Inc.'
          },


----------------------------------------------
API with host 'xmlrpc.rhn.redhat.com' executes,

{
            'package_size' => '3689089',
            'package_build_date' => '2009-01-21 17:13:16.0',
            'package_epoch' => '',
            'package_last_modified_date' => '2009-02-04 03:44:34.0',
            'package_checksums' => {
                                   'md5' => '13c79e8d78962b27a2a20f4f84d6cc72'
                                 },
            'package_id' => '471682',
            'package_arch_label' => 's390',
            'package_md5sum' => '13c79e8d78962b27a2a20f4f84d6cc72',
            'package_vendor' => 'Red Hat, Inc.',
            'package_license' => 'MPLv1.1 or GPLv2+ or LGPLv2+',
            'package_summary' => 'Development files for Gecko
',
            'package_file' => 'xulrunner-devel-1.9.0.6-1.el5.s390.rpm',
            'package_release' => '1.el5',
            'package_version' => '1.9.0.6',
            'providing_channels' => [
                                    'rhel-s390x-server-5',
                                    'rhel-s390x-server-5.3.z',
                                    'rhel-s390x-server-5.4.z',
                                    'rhel-s390x-server-5.6.z'
                                  ],
            'package_description' => 'Gecko development files.
',
            'package_build_host' => 'spud.z900.redhat.com',
            'package_payload_size' => '21327040',
            'package_name' => 'xulrunner-devel',
            'package_cookie' => ''
          }
Comment 1 Tomas Lestach 2012-04-23 04:23:36 EDT
spacewalk.git: a270170a7d35ad6daab4c0e7ba0727b75e5a6598
Comment 3 Jan Pazdziora 2012-10-30 15:25:13 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 4 Jan Pazdziora 2012-11-01 12:20:44 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.